Bug 1528892 - Disappearance of key org.gnome.settings-daemon.plugins.keyboard makes imsettings fail to start, prevents using input methods other than integrated ibus
Summary: Disappearance of key org.gnome.settings-daemon.plugins.keyboard makes imsetti...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1746624 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-25 05:13 UTC by Robin Lee
Modified: 2019-08-29 02:51 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 21:56:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Gitlab GNOME/gnome-settings-daemon/issues/25 None None None 2018-04-09 01:46:35 UTC

Description Robin Lee 2017-12-25 05:13:11 UTC
Description of problem:
Following https://wiki.gnome.org/ThreePointFive/Features/IBus,
non-IBus user has to run
'gsettings set org.gnome.settings-daemon.plugins.keyboard active false'
to get there input method works on GNOME. But with a recent update, this key disappeared:

$ gsettings set org.gnome.settings-daemon.plugins.keyboard active false
No such schema “org.gnome.settings-daemon.plugins.keyboard”

imsettings-switch also warns.

$ imsettings-switch FCITX
GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._imsettings_2derror_2dquark.Code5: Current desktop isn't targeted by IMSettings.


Version-Release number of selected component (if applicable):
gnome-settings-daemon-3.24.3-3.fc26.x86_64
imsettings-qt-1.7.3-1.fc26.x86_64
imsettings-1.7.3-1.fc26.x86_64
imsettings-libs-1.7.3-1.fc26.x86_64
imsettings-gsettings-1.7.3-1.fc26.x86_64


How reproducible:
Always, on both gnome and gnome-xorg sessions.

Steps to Reproduce:
1. gsettings set org.gnome.settings-daemon.plugins.keyboard active false
2.
3.

Actual results:
$ gsettings set org.gnome.settings-daemon.plugins.keyboard active false
No such schema “org.gnome.settings-daemon.plugins.keyboard”

Expected results:
Command returned silent.

Additional info:

Comment 1 Robin Lee 2017-12-25 17:05:10 UTC
The same on recently updated Fedora 27

Comment 2 Alick Zhao 2017-12-25 17:17:25 UTC
Seems it is introduced by this commit:

https://github.com/GNOME/gnome-settings-daemon/commit/caf51f50f332aabe7af77f9641ac288dd88af553

Looks like they are moving to the direction where each plugin has its own .desktop file in /etc/xdg/autostart/ . Maybe we can try copy the one for keyboard to ~/.config/autostart/ , and disable the autostart there, in order to get other IME working?

Comment 3 Robin Lee 2017-12-27 02:05:30 UTC
imsettings seems failing to start if 'org.gnome.settings-daemon.plugins.keyboard' does not exist.

Comment 4 Akira TAGOH 2017-12-27 02:52:20 UTC
org.gnome.settings-daemon.plugins.keyboard is deprecated. see Bug#1520396 to enable imsettings on GNOME.

*** This bug has been marked as a duplicate of bug 1520396 ***

Comment 5 Robin Lee 2017-12-27 03:55:52 UTC
I cannot figure out how to enable imsettings on GNOME in https://bugzilla.redhat.com/show_bug.cgi?id=1520396
Which is the exact method?

Comment 6 Robin Lee 2017-12-27 03:56:55 UTC

*** This bug has been marked as a duplicate of bug 1520396 ***

Comment 7 Akira TAGOH 2017-12-27 04:35:57 UTC
remove /etc/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop

Comment 8 Alick Zhao 2017-12-27 05:01:52 UTC
(In reply to Akira TAGOH from comment #7)
> remove /etc/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop

I wonder if we can support an alternative way without root privilege, like the user has their own ~/.config/autostart/org.gnome.SettingsDaemon.Keyboard.desktop where autostart is set to false?

Comment 9 Robin Lee 2017-12-27 05:35:47 UTC
And gdm failed to start if /etc/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop removed.

Comment 10 Akira TAGOH 2017-12-27 06:33:08 UTC
Hmm, better ask upstream for a way to disable ibus safely like they did that by set false to org.gnome.settings-daemon.plugins.keyboard in the past.

Comment 11 tristan su 2018-03-14 09:06:43 UTC
I'm having this issue with fedora 27. As Robin Lee said, /etc/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop should not be removed. 
What's the best solution for now?

Comment 12 Alick Zhao 2018-04-06 22:30:15 UTC
Upstream issue filed: https://gitlab.gnome.org/GNOME/gnome-settings-daemon/issues/25

Comment 13 Bhushan Barve 2018-07-24 07:09:16 UTC
Changing the version to F28 as this issue is still valid and we may soon have F27 bugs EOL.

Comment 14 Ben Cotton 2019-05-02 21:16:01 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 21:56:39 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 16 forteleaf 2019-08-20 01:49:12 UTC
(In reply to Akira TAGOH from comment #7)
> remove /etc/xdg/autostart/org.gnome.SettingsDaemon.Keyboard.desktop

don't do this. it's was really bad command. cuz, it's make it doesn't gnome desktop mode.

Comment 17 Robin Lee 2019-08-29 02:51:16 UTC
*** Bug 1746624 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.